Skip to navigation

Update a Molecule

Update a Molecule

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

molecule_idstringRequired

Request

This endpoint expects an object.
aliaseslist of stringsOptional
Aliases to add to the Molecule.
authorIdslist of stringsOptional
IDs of users to set as the Molecule's authors.
chemicalStructureobjectOptional
Chemical structure of the Molecule.
customFieldsmap from strings to objectsOptional
Custom fields to add to the Molecule. Every field should have its name as a key, mapping to an object with information about the value of the field.
entityRegistryIdstringOptional
fieldsmap from strings to objectsOptional
Fields to set on the Molecule. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderIdstringOptional
ID of the folder containing the Molecule.
namestringOptional
Name of the Molecule.
schemaIdstringOptional
ID of the Molecule's schema.

Response

OK
aliaseslist of stringsOptional
Array of aliases.
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Molecule in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
canonicalizedSmilesstringOptional
The canonicalized chemical structure in SMILES format.
createdAtdatetimeOptionalRead-only
DateTime the Molecule was created.
creatorobjectOptional
customFieldsmap from strings to objectsOptional
Custom fields set on the Molecule.
entityRegistryIdstring or nullOptional
Registry ID of the Molecule if registered.
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
ID of the folder that contains the Molecule.
idstringOptional
ID of the Molecule.
modifiedAtdatetimeOptionalRead-only
DateTime the Molecule was last modified.
namestringOptional
Name of the Molecule.
originalSmilesstring or nullOptional
The original chemical structure supplied by the user in SMILES format. Null if the user did not originally supply SMILES.
registrationOriginobject or nullOptional
registryIdstring or nullOptional
Registry the Molecule is registered in.
schemaobject or nullOptional
webURLstringOptionalRead-onlyformat: "uri"
URL of the Molecule.

Errors

400
Bad Request Error